Topic: "Cannot install both" errors for ImageMagick-perl and ImageMagick-libs

I've had this problem for some months and ignored it hoping it would be resolved by the repo maintainers but it persists, and I'm not sure what commands to use to investigate further.  I cannot tell if it's a problem with the 'shutter' (screenshot app) package, or the ImageMagick-* resolution.

Here is my current 'dnf update' output:

# dnf update
Failed to synchronize cache for repo 'region51-chrome-gnome-shell', disabling.
Last metadata expiration check: 0:18:24 ago on Fri 01 Jun 2018 14:34:47 +07.
Dependencies resolved.

 Problem 1: package shutter-0.93.1-8.fc27.noarch requires perl(Image::Magick), but none of the providers can be installed
  - cannot install both ImageMagick-perl-1:6.9.9.40-1.fc27.remi.x86_64 and ImageMagick-perl-1:6.9.9.38-1.fc27.x86_64
  - cannot install both ImageMagick-perl-1:6.9.9.40-1.fc27.remi.x86_64 and ImageMagick-perl-1:6.9.9.19-1.fc27.x86_64
  - cannot install the best update candidate for package shutter-0.93.1-8.fc27.noarch
  - cannot install the best update candidate for package ImageMagick-perl-1:6.9.9.38-1.fc27.x86_64
 Problem 2: problem with installed package shutter-0.93.1-8.fc27.noarch
  - package shutter-0.93.1-8.fc27.noarch requires perl(Image::Magick), but none of the providers can be installed
  - package ImageMagick-perl-1:6.9.9.38-1.fc27.x86_64 requires ImageMagick-libs(x86-64) = 1:6.9.9.38-1.fc27, but none of the providers can be installed
  - package ImageMagick-perl-1:6.9.9.19-1.fc27.x86_64 requires ImageMagick-libs(x86-64) = 1:6.9.9.19-1.fc27, but none of the providers can be installed
  - cannot install both ImageMagick-libs-1:6.9.9.40-1.fc27.remi.x86_64 and ImageMagick-libs-1:6.9.9.38-1.fc27.x86_64
  - cannot install both ImageMagick-libs-1:6.9.9.40-1.fc27.remi.x86_64 and ImageMagick-libs-1:6.9.9.19-1.fc27.x86_64
  - cannot install the best update candidate for package ImageMagick-libs-1:6.9.9.38-1.fc27.x86_64
================================================================================
 Package              Arch       Version                       Repository  Size
================================================================================
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 ImageMagick-libs     x86_64     1:6.9.9.19-1.fc27             fedora     2.3 M
 ImageMagick-libs     x86_64     1:6.9.9.40-1.fc27.remi        remi       2.4 M
 ImageMagick-perl     x86_64     1:6.9.9.19-1.fc27             fedora     166 k
 ImageMagick-perl     x86_64     1:6.9.9.40-1.fc27.remi        remi       167 k

Transaction Summary
================================================================================
Skip  4 Packages

Nothing to do.
Complete!

I have tried removing the packages and re-installing those that depend on them, hoping this would automatically install 'the right ones', but no luck:

# dnf remove ImageMagick-libs ImageMagick-perl
Dependencies resolved.
================================================================================
 Package                     Arch      Version                Repository   Size
================================================================================
Removing:
 ImageMagick-libs            x86_64    1:6.9.9.38-1.fc27      @updates    7.9 M
 ImageMagick-perl            x86_64    1:6.9.9.38-1.fc27      @updates    445 k
Removing dependent packages:
 ImageMagick                 x86_64    1:6.9.9.38-1.fc27      @updates    546 k
 ImageMagick-c++             x86_64    1:6.9.9.38-1.fc27      @updates    625 k
 inkscape                    x86_64    0.92.3-1.fc27          @updates    114 M
 perl-Gnome2                 x86_64    1.047-1.fc27           @updates    657 k
 perl-Gnome2-Canvas          x86_64    1.002-38.fc27          @fedora     299 k
 perl-Gnome2-VFS             x86_64    1.083-4.fc27           @fedora     490 k
 perl-Gnome2-Wnck            x86_64    0.16-31.fc27           @fedora     199 k
 perl-Goo-Canvas             x86_64    0.06-31.fc27           @fedora     384 k
 perl-Gtk2                   x86_64    1.24992-4.fc27         @fedora     5.4 M
 perl-Gtk2-AppIndicator      x86_64    0.15-13.fc27           @fedora      42 k
 perl-Gtk2-ImageView         x86_64    0.05-9.fc27            @fedora     131 k
 perl-Gtk2-Unique            x86_64    0.05-22.fc27           @updates     68 k
 perl-Pango                  x86_64    1.227-6.fc27           @fedora     435 k
 perl-WWW-Mechanize          noarch    1.86-1.fc27            @fedora     263 k
 perl-WebService-Dropbox     noarch    2.07-2.fc27            @fedora     111 k
 perl-X11-Protocol-Other     noarch    30-3.fc27              @fedora     529 k
 php56-php-pecl-imagick      x86_64    3.4.3-7.fc27.remi      @remi       499 k
 playonlinux                 x86_64    4.2.12-3.fc27          @fedora     4.2 M
 python2-numpy               x86_64    1:1.13.3-4.fc27        @updates     17 M
 shutter                     noarch    0.93.1-8.fc27          @fedora      16 M
Removing unused dependencies:
 goocanvas                   x86_64    1.0.0-14.fc27          @fedora     427 k
 gtkimageview                x86_64    1.6.4-16.fc27          @fedora     102 k
 libappindicator             x86_64    12.10.0-16.fc27        @fedora      94 k
 libdbusmenu-gtk2            x86_64    16.04.0-4.fc27         @fedora      84 k
 libindicator                x86_64    12.10.1-11.fc27        @fedora     204 k
 perl-Cairo                  x86_64    1.106-7.fc27           @fedora     403 k
 perl-File-Copy-Recursive    noarch    0.40-3.fc27            @updates     39 k
 perl-Glib                   x86_64    1.326-3.fc27           @fedora     942 k
 perl-HTML-Form              noarch    6.03-16.fc27           @fedora      63 k
 perl-Image-ExifTool         noarch    10.55-3.fc27           @fedora      13 M
 perl-Locale-gettext         x86_64    1.07-8.fc27            @fedora      31 k
 perl-Net-DBus               x86_64    1.1.0-9.fc27           @fedora     572 k
 perl-Net-OAuth              noarch    0.28-13.fc27           @fedora     109 k
 perl-Proc-ProcessTable      x86_64    0.53-7.fc27            @fedora      78 k
 perl-Proc-Simple            noarch    1.32-5.fc27            @fedora      47 k
 perl-Sort-Naturally         noarch    1.03-16.fc27           @fedora      31 k
 perl-X11-Protocol           noarch    0.56-26.fc27           @fedora     442 k
 python2-nose                noarch    1.3.7-15.fc27          @fedora     1.1 M
 python2-scour               noarch    0.35-5.fc27            @fedora     288 k
 python2-wxpython            x86_64    3.0.2.0-21.fc27        @updates     41 M
 unique                      x86_64    1.1.6-18.fc27          @fedora     157 k
 wxGTK3-gl                   x86_64    3.0.3-5.fc27           @fedora      94 k
 wxGTK3-media                x86_64    3.0.3-5.fc27           @fedora     131 k

Transaction Summary
[cut]

Then, re-install the packages that I want on my system, with a 'dnf clean all' to make sure it's all fresh:

# dnf clean all
107 files removed
# dnf install shutter inkscape php56-php-pecl-imagick playonlinux
negativo17 - Multimedia                         277 kB/s | 647 kB     00:02    
negativo17 - Nvidia                             150 kB/s | 307 kB     00:02    
negativo17 - Spotify                            3.2 kB/s | 3.8 kB     00:01    
negativo17 - Steam                              5.4 kB/s | 6.4 kB     00:01    
Fedora 27 - x86_64 - Updates                    7.3 MB/s |  24 MB     00:03    
Fedora 27 - x86_64                               12 MB/s |  58 MB     00:04    
google-talkplugin                               140 kB/s | 2.6 kB     00:00    
Remi's RPM repository - Fedora 27 - x86_64      1.0 MB/s | 1.9 MB     00:01    
Resilio Sync                                    8.4 kB/s | 1.3 kB     00:00    
RPM Fusion for Fedora 27 - Free - Updates       268 kB/s | 414 kB     00:01    
RPM Fusion for Fedora 27 - Free                 690 kB/s | 717 kB     00:01    
RPM Fusion for Fedora 27 - Nonfree - Updates     78 kB/s |  92 kB     00:01    
RPM Fusion for Fedora 27 - Nonfree              515 kB/s | 163 kB     00:00    
skype (stable)                                   45 kB/s | 4.3 kB     00:00    
Sublime Text - x86_64 - Stable                  1.3 kB/s | 1.5 kB     00:01    
TeamViewer - x86_64                             342 kB/s | 6.2 kB     00:00    
Visual Studio Code                              3.6 MB/s | 1.5 MB     00:00    
Failed to synchronize cache for repo 'region51-chrome-gnome-shell', disabling.
Last metadata expiration check: 0:00:00 ago on Fri 01 Jun 2018 15:03:02 +07.
Dependencies resolved.
================================================================================
 Package                     Arch      Version                 Repository  Size
================================================================================
Installing:
 inkscape                    x86_64    0.92.3-1.fc27           updates     17 M
 php56-php-pecl-imagick      x86_64    3.4.3-7.fc27.remi       remi       128 k
 playonlinux                 x86_64    4.2.12-3.fc27           fedora     2.3 M
 shutter                     noarch    0.93.1-8.fc27           fedora     1.9 M
Installing dependencies:
 ImageMagick                 x86_64    1:6.9.9.38-1.fc27       updates    186 k
 ImageMagick-c++             x86_64    1:6.9.9.38-1.fc27       updates    183 k
 ImageMagick-libs            x86_64    1:6.9.9.38-1.fc27       updates    2.3 M
 ImageMagick-perl            x86_64    1:6.9.9.38-1.fc27       updates    169 k
 goocanvas                   x86_64    1.0.0-14.fc27           fedora     148 k
 gtkimageview                x86_64    1.6.4-16.fc27           fedora      47 k
 libappindicator             x86_64    12.10.0-16.fc27         fedora      41 k
 libdbusmenu-gtk2            x86_64    16.04.0-4.fc27          fedora      38 k
 libindicator                x86_64    12.10.1-11.fc27         fedora      67 k
 perl-Cairo                  x86_64    1.106-7.fc27            fedora     125 k
 perl-File-Copy-Recursive    noarch    0.40-3.fc27             updates     28 k
 perl-Glib                   x86_64    1.326-3.fc27            fedora     370 k
 perl-Gnome2                 x86_64    1.047-1.fc27            updates    250 k
 perl-Gnome2-Canvas          x86_64    1.002-38.fc27           fedora     126 k
 perl-Gnome2-VFS             x86_64    1.083-4.fc27            fedora     175 k
 perl-Gnome2-Wnck            x86_64    0.16-31.fc27            fedora      80 k
 perl-Goo-Canvas             x86_64    0.06-31.fc27            fedora     144 k
 perl-Gtk2                   x86_64    1.24992-4.fc27          fedora     1.8 M
 perl-Gtk2-AppIndicator      x86_64    0.15-13.fc27            fedora      25 k
 perl-Gtk2-ImageView         x86_64    0.05-9.fc27             fedora      70 k
 perl-Gtk2-Unique            x86_64    0.05-22.fc27            updates     42 k
 perl-HTML-Form              noarch    6.03-16.fc27            fedora      31 k
 perl-Image-ExifTool         noarch    10.55-3.fc27            fedora     2.7 M
 perl-Locale-gettext         x86_64    1.07-8.fc27             fedora      26 k
 perl-Net-DBus               x86_64    1.1.0-9.fc27            fedora     214 k
 perl-Net-OAuth              noarch    0.28-13.fc27            fedora      67 k
 perl-Pango                  x86_64    1.227-6.fc27            fedora     189 k
 perl-Proc-ProcessTable      x86_64    0.53-7.fc27             fedora      50 k
 perl-Proc-Simple            noarch    1.32-5.fc27             fedora      26 k
 perl-Sort-Naturally         noarch    1.03-16.fc27            fedora      22 k
 perl-WWW-Mechanize          noarch    1.86-1.fc27             fedora     154 k
 perl-WebService-Dropbox     noarch    2.07-2.fc27             fedora      44 k
 perl-X11-Protocol           noarch    0.56-26.fc27            fedora     144 k
 perl-X11-Protocol-Other     noarch    30-3.fc27               fedora     216 k
 python2-nose                noarch    1.3.7-15.fc27           fedora     267 k
 python2-numpy               x86_64    1:1.13.3-4.fc27         updates    3.5 M
 python2-scour               noarch    0.35-5.fc27             fedora      85 k
 python2-wxpython            x86_64    3.0.2.0-21.fc27         updates    8.2 M
 unique                      x86_64    1.1.6-18.fc27           fedora      60 k
 wxGTK3-gl                   x86_64    3.0.3-5.fc27            fedora      40 k
 wxGTK3-media                x86_64    3.0.3-5.fc27            fedora      59 k

Transaction Summary
================================================================================
Install  45 Packages
[cut]

So it resolves the 'updates' repo versions of ImageMagick-*.

Then an immediate 'dnf update' runs into the same dependency problem as before!

# dnf update
Failed to synchronize cache for repo 'region51-chrome-gnome-shell', disabling.
Last metadata expiration check: 0:25:05 ago on Fri 01 Jun 2018 14:34:47 +07.
Dependencies resolved.

 Problem 1: package shutter-0.93.1-8.fc27.noarch requires perl(Image::Magick), but none of the providers can be installed
  - cannot install both ImageMagick-perl-1:6.9.9.40-1.fc27.remi.x86_64 and ImageMagick-perl-1:6.9.9.38-1.fc27.x86_64
  - cannot install both ImageMagick-perl-1:6.9.9.40-1.fc27.remi.x86_64 and ImageMagick-perl-1:6.9.9.19-1.fc27.x86_64
  - cannot install the best update candidate for package shutter-0.93.1-8.fc27.noarch
  - cannot install the best update candidate for package ImageMagick-perl-1:6.9.9.38-1.fc27.x86_64
 Problem 2: problem with installed package shutter-0.93.1-8.fc27.noarch
  - package shutter-0.93.1-8.fc27.noarch requires perl(Image::Magick), but none of the providers can be installed
  - package ImageMagick-perl-1:6.9.9.38-1.fc27.x86_64 requires ImageMagick-libs(x86-64) = 1:6.9.9.38-1.fc27, but none of the providers can be installed
  - package ImageMagick-perl-1:6.9.9.19-1.fc27.x86_64 requires ImageMagick-libs(x86-64) = 1:6.9.9.19-1.fc27, but none of the providers can be installed
  - cannot install both ImageMagick-libs-1:6.9.9.40-1.fc27.remi.x86_64 and ImageMagick-libs-1:6.9.9.38-1.fc27.x86_64
  - cannot install both ImageMagick-libs-1:6.9.9.40-1.fc27.remi.x86_64 and ImageMagick-libs-1:6.9.9.19-1.fc27.x86_64
  - cannot install the best update candidate for package ImageMagick-libs-1:6.9.9.38-1.fc27.x86_64
================================================================================
 Package              Arch       Version                       Repository  Size
================================================================================
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 ImageMagick-libs     x86_64     1:6.9.9.19-1.fc27             fedora     2.3 M
 ImageMagick-libs     x86_64     1:6.9.9.40-1.fc27.remi        remi       2.4 M
 ImageMagick-perl     x86_64     1:6.9.9.19-1.fc27             fedora     166 k
 ImageMagick-perl     x86_64     1:6.9.9.40-1.fc27.remi        remi       167 k

Transaction Summary
================================================================================
Skip  4 Packages

Nothing to do.
Complete!

What can I do to investigate or resolve this?

Thank you for the hard work smile
Nick

Re: "Cannot install both" errors for ImageMagick-perl and ImageMagick-libs

I works for me

Dependencies resolved.
====================================================================================================================================================================================
 Package                                                 Arch                               Version                                       Repository                           Size
====================================================================================================================================================================================
Installing:
 shutter                                                 noarch                             0.93.1-8.fc27                                 fedora                              1.9 M
Installing dependencies:
 goocanvas                                               x86_64                             1.0.0-14.fc27                                 fedora                              148 k
 gtkimageview                                            x86_64                             1.6.4-16.fc27                                 fedora                               47 k
 perl-Class-Accessor                                     noarch                             0.34-23.fc27                                  fedora                               31 k
 perl-Class-Data-Inheritable                             noarch                             0.08-25.fc27                                  fedora                               15 k
 perl-File-Copy-Recursive                                noarch                             0.40-3.fc27                                   updates                              28 k
 perl-Gnome2                                             x86_64                             1.047-1.fc27                                  updates                             250 k
 perl-Gnome2-Canvas                                      x86_64                             1.002-38.fc27                                 fedora                              126 k
 perl-Gnome2-VFS                                         x86_64                             1.083-4.fc27                                  fedora                              175 k
 perl-Goo-Canvas                                         x86_64                             0.06-31.fc27                                  fedora                              144 k
 perl-Gtk2-ImageView                                     x86_64                             0.05-9.fc27                                   fedora                               70 k
 perl-Gtk2-Unique                                        x86_64                             0.05-22.fc27                                  updates                              42 k
 perl-HTML-Form                                          noarch                             6.03-16.fc27                                  fedora                               31 k
 perl-Image-ExifTool                                     noarch                             10.55-3.fc27                                  fedora                              2.7 M
 perl-JSON                                               noarch                             2.94-2.fc27                                   fedora                               94 k
 perl-JSON-XS                                            x86_64                             1:3.03-6.fc27                                 fedora                              110 k
 perl-Net-OAuth                                          noarch                             0.28-13.fc27                                  fedora                               67 k
 perl-Path-Class                                         noarch                             0.37-5.fc27                                   fedora                               62 k
 perl-Proc-ProcessTable                                  x86_64                             0.53-7.fc27                                   fedora                               50 k
 perl-Proc-Simple                                        noarch                             1.32-5.fc27                                   fedora                               26 k
 perl-Sort-Naturally                                     noarch                             1.03-16.fc27                                  fedora                               22 k
 perl-Types-Serialiser                                   noarch                             1.0-11.fc27                                   fedora                               20 k
 perl-WWW-Mechanize                                      noarch                             1.86-1.fc27                                   fedora                              154 k
 perl-WebService-Dropbox                                 noarch                             2.07-2.fc27                                   fedora                               44 k
 perl-X11-Protocol                                       noarch                             0.56-26.fc27                                  fedora                              144 k
 perl-X11-Protocol-Other                                 noarch                             30-3.fc27                                     fedora                              216 k
 unique                                                  x86_64                             1.1.6-18.fc27                                 fedora                               60 k
Downgrading:
 ImageMagick                                             x86_64                             1:6.9.9.38-1.fc27                             updates                             186 k
 ImageMagick-c++                                         x86_64                             1:6.9.9.38-1.fc27                             updates                             183 k
 ImageMagick-djvu                                        x86_64                             1:6.9.9.38-1.fc27                             updates                              45 k
 ImageMagick-libs                                        x86_64                             1:6.9.9.38-1.fc27                             updates                             2.3 M
 ImageMagick-perl                                        x86_64                             1:6.9.9.38-1.fc27                             updates                             169 k

Transaction Summary
====================================================================================================================================================================================
Install    27 Packages
Downgrade   5 Packages

Total download size: 9.6 M

But indeed, there is a issue with 6.9.9.40... I need to find which one.

IM is definitively one of the worst projects I known.... everyone should skip to some "sane" alternative.

Desktop: Fedora 27 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 28 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: "Cannot install both" errors for ImageMagick-perl and ImageMagick-libs

Found the issue

Fixed by https://git.remirepo.net/cgit/rpms/Imag … 38029210f7

Version 6.9.9.40-2 will appear soon in the repo.

Desktop: Fedora 27 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 28 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: "Cannot install both" errors for ImageMagick-perl and ImageMagick-libs

Magic, thank you very much Remi, I will wait and re-try later.

Re: "Cannot install both" errors for ImageMagick-perl and ImageMagick-libs

FYI problem is resolved, completely clean 'dnf update' today smile

Thank you Remi!

Re: "Cannot install both" errors for ImageMagick-perl and ImageMagick-libs

smile

Desktop: Fedora 27 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 28 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70